# Uses of Enum
org.apache.sling.feature.extension.apiregions.api.config.PropertyType

Packages that use PropertyType
Package
Description
org.apache.sling.feature.extension.apiregions.api.config

## Uses of PropertyType in org.apache.sling.feature.extension.apiregions.api.config

Methods in org.apache.sling.feature.extension.apiregions.api.config that return PropertyType
Modifier and Type
Method
Description
`PropertyType`
PropertyDescription.`getType()`
Get the property type
`static PropertyType`
PropertyType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PropertyType[]`
PropertyType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.feature.extension.apiregions.api.config with parameters of type PropertyType
Modifier and Type
Method
Description
`void`
PropertyDescription.`setType(PropertyType type)`
Set the property type